Top > Vine6 > 2002 MySQL サーバにログインできません

MySQLのバージョンのせいなのか?

昨日までちゃんと動作していたWordpressやphpMyAdminが突然データベース接続エラーとなって繋がらなくなってしまった・・・ (..;
なんだろ?
全く覚えがない。。。orz

#2002 MySQL サーバにログインできません


このエラーね。phpMyAdminでこのエラーが出てしまう。

ググりまくった結果、下記の箇所の設定をちゃんとしないとエラーを吐くことが判明。

mysql.default_socket 
mysqli.default_socket 

ちなみにMySQLの環境は下記です。

mysql  Ver 14.14 Distrib 5.1.56, for pc-linux-gnu (i686) using readline 5.1

Connection id:          34
Current database:
Current user:           root@localhost
SSL:                    Not in use
Current pager:          stdout
Using outfile:          ''
Using delimiter:        ;
Server version:         5.1.56-log VineLinux MySQL RPM
Protocol version:       10
Connection:             Localhost via UNIX socket
Server characterset:    utf8
Db     characterset:    utf8
Client characterset:    utf8
Conn.  characterset:    utf8
UNIX socket:            /var/lib/mysql/mysql.sock

上記の環境からmysql.default_socketmysqli.default_socketはSochetファイルを指定してやればよいので、パラメータは /var/lib/mysql/mysql.sock になる。
故に下記のようにphp.iniを編集したら解決した。
前のバージョンではこんな事無かったような気がするんだけどな (--;

mysql.default_socket = /var/lib/mysql/mysql.sock
mysqli.default_socket = /var/lib/mysql/mysql.sock


リロード   新規 編集 凍結 差分 添付 複製 名前変更   ホーム 一覧 単語検索 最終更新 バックアップ リンク元   ヘルプ   最終更新のRSS
Last-modified: 2012-02-14 (火) 17:23:53 (2828d)